Bug 13360 - REGRESSION: Crash closing live web cam viewer page
Summary: REGRESSION: Crash closing live web cam viewer page
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P1 Critical
Assignee: Nobody
URL: http://webcam.sewanee.edu/view/view.s...
Keywords: InRadar, Regression
: 13540 13573 13580 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-04-16 04:39 PDT by Gibbons Burke
Modified: 2007-05-15 15:31 PDT (History)
5 users (show)

See Also:


Attachments
Crash report (20.75 KB, text/plain)
2007-05-04 05:47 PDT, Peter
no flags Details
Avoid calling decreaseLoadCount() twice for multipart subresources (860 bytes, patch)
2007-05-05 13:14 PDT, mitz
no flags Details | Formatted Diff | Diff
Avoid calling decreaseLoadCount() twice for multipart subresources (4.89 KB, patch)
2007-05-15 14:42 PDT, mitz
beidson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gibbons Burke 2007-04-16 04:39:45 PDT
Reproducible crasher in the latest nightly build which doesn't crash in the current production release of Safari.

The crash occurs when the web page of the URL is closed (command-W).

In WebKit.app many frames of the streaming view are pixelated and stuttered whereas in production Safari it plays smoothly. 

Here's the crash report:

Date/Time:      2007-04-16 06:12:46.287 -0500
OS Version:     10.4.9 (Build 8P135)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [67]

Version: ??? (20897)

PID:    2785
Thread: 0

Exception:  EXC_BREAKPOINT (0x0006)
Code[0]:    0x00000001
Code[1]:    0x90926ca0


Thread 0 Crashed:
0   libobjc.A.dylib                	0x90926ca0 _objc_trap + 0
1   libobjc.A.dylib                	0x90926c14 _objc_error + 76
2   libobjc.A.dylib                	0x90926ba4 __objc_error + 64
3   com.apple.WebCore              	0x013eaa84 WebCore::FrameLoader::setDocumentLoader(WebCore::DocumentLoader*) + 100
4   com.apple.WebCore              	0x013ea858 WebCore::FrameLoader::detachFromParent() + 136
5   com.apple.WebKit               	0x00357ab8 -[WebView(WebPrivate) _close] + 312
6   com.apple.Safari               	0x00047858 0x1000 + 288856
7   com.apple.Foundation           	0x90b0b5f4 -[NSArray makeObjectsPerformSelector:withObject:] + 264
8   com.apple.Safari               	0x0005c1ec 0x1000 + 373228
9   com.apple.Safari               	0x0005a4f4 0x1000 + 365812
10  com.apple.Foundation           	0x90b03ae4 _nsnote_callback + 180
11  com.apple.CoreFoundation       	0x902d9078 __CFXNotificationPost + 368
12  com.apple.CoreFoundation       	0x902d1114 _CFXNotificationPostNotification + 684
13  com.apple.Foundation           	0x90aedeec -[NSNotificationCenter postNotificationName:object:userInfo:] + 92
14  com.apple.AppKit               	0x925ab47c -[NSWindow _close] + 100
15  com.apple.AppKit               	0x925ab3e0 -[NSWindow close] + 36
16  com.apple.Safari               	0x0005a498 0x1000 + 365720
17  com.apple.Safari               	0x0005c07c 0x1000 + 372860
18  com.apple.AppKit               	0x925aac4c -[NSApplication sendAction:to:from:] + 108
19  com.apple.Safari               	0x0002956c 0x1000 + 165228
20  com.apple.AppKit               	0x925aab80 -[NSControl sendAction:to:] + 96
21  com.apple.AppKit               	0x925aaa60 -[NSCell _sendActionFrom:] + 156
22  com.apple.AppKit               	0x925aa540 -[NSButtonCell performClick:] + 472
23  com.apple.AppKit               	0x925aac4c -[NSApplication sendAction:to:from:] + 108
24  com.apple.Safari               	0x0002956c 0x1000 + 165228
25  com.apple.AppKit               	0x926054b8 -[NSMenu performActionForItemAtIndex:] + 392
26  com.apple.AppKit               	0x9260523c -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 104
27  com.apple.AppKit               	0x92604ce4 -[NSMenu performKeyEquivalent:] + 272
28  com.apple.AppKit               	0x926048c4 -[NSApplication _handleKeyEquivalent:] + 220
29  com.apple.AppKit               	0x9250e408 -[NSApplication sendEvent:] + 2944
30  com.apple.Safari               	0x00021238 0x1000 + 131640
31  com.apple.AppKit               	0x92505d10 -[NSApplication run] + 508
32  com.apple.AppKit               	0x925f687c NSApplicationMain + 452
33  com.apple.Safari               	0x0005c77c 0x1000 + 374652
34  com.apple.Safari               	0x0005c624 0x1000 + 374308

Thread 1:
0   libSystem.B.dylib              	0x9000b4c8 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b41c mach_msg + 60
2   com.apple.CoreFoundation       	0x902b1ba8 __CFRunLoopRun + 832
3   com.apple.CoreFoundation       	0x902b14ac CFRunLoopRunSpecific + 268
4   com.apple.Foundation           	0x90b2b6a8 +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation           	0x90b041a0 forkThreadForFunction + 108
6   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib              	0x9000b4c8 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b41c mach_msg + 60
2   com.apple.CoreFoundation       	0x902b1ba8 __CFRunLoopRun + 832
3   com.apple.CoreFoundation       	0x902b14ac CFRunLoopRunSpecific + 268
4   com.apple.Foundation           	0x90b2c7e8 +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation           	0x90b041a0 forkThreadForFunction + 108
6   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib              	0x9002c548 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x9003102c pthread_cond_wait + 480
2   com.apple.Foundation           	0x90b0b30c -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.Syndication          	0x9b7c242c -[AsyncDB _run:] + 192
4   com.apple.Foundation           	0x90b041a0 forkThreadForFunction + 108
5   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib              	0x9001fa0c select + 12
1   com.apple.CoreFoundation       	0x902c4434 __CFSocketManager + 472
2   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib              	0x9002c548 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x9003102c pthread_cond_wait + 480
2   com.apple.Foundation           	0x90b0b30c -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit               	0x925a6708 -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation           	0x90b041a0 forkThreadForFunction + 108
5   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib              	0x9002f20c kevent + 12
1   com.apple.DesktopServices      	0x909faeb0 TFSNotificationTask::FSNotificationTaskProc(void*) + 56
2   ...ple.CoreServices.CarbonCore 	0x903ed83c PrivateMPEntryPoint + 76
3   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 7:
0   libSystem.B.dylib              	0x9002c548 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x9003102c pthread_cond_wait + 480
2   ...ple.CoreServices.CarbonCore 	0x903eda2c MPWaitOnQueue + 224
3   com.apple.DesktopServices      	0x909fb52c TNodeSyncTask::SyncTaskProc(void*) + 116
4   ...ple.CoreServices.CarbonCore 	0x903ed83c PrivateMPEntryPoint + 76
5   libSystem.B.dylib              	0x9002be88 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x0000000090926ca0 srr1: 0x000000000002f030                        vrsave: 0x0000000000000000
    cr: 0x24002224          xer: 0x0000000000000004   lr: 0x0000000090926c18  ctr: 0x0000000090020714
    r0: 0x0000000090926c14   r1: 0x00000000bfffbe40   r2: 0x00000000a0001304   r3: 0x0000000000000083
    r4: 0x0000000000000000   r5: 0x0000000000000083   r6: 0x0000000000000000   r7: 0x0000000000000000
    r8: 0x0000000000000000   r9: 0x0000000000000018  r10: 0x0000000000000002  r11: 0x00000000a0006914
   r12: 0x0000000090020714  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x0000000000000000
   r16: 0x0000000000000000  r17: 0x0000000000000000  r18: 0x000000000062c8d0  r19: 0x000000000067df10
   r20: 0x00000000a25072f4  r21: 0x00000000a0288f18  r22: 0x000000000000011d  r23: 0x0000000000000000
   r24: 0x0000000000000000  r25: 0x0000000090967460  r26: 0x0000000000000000  r27: 0x000000009092d820
   r28: 0x000000000743c630  r29: 0x000000000743c630  r30: 0x000000000187da40  r31: 0x0000000090926bd8

Binary Images Description:
    0x1000 -    0xdcfff com.apple.Safari 2.0.4 (419.3)	/Applications/Safari.app/Contents/MacOS/Safari
  0x109000 -   0x10afff WebKitNightlyEnabler.dylib 	/Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x10e000 -   0x19efff com.apple.JavaScriptCore 522+	/Applications/WebKit.app/Contents/Resources/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x305000 -   0x3b8fff com.apple.WebKit 522+	/Applications/WebKit.app/Contents/Resources/WebKit.framework/Versions/A/WebKit
 0x1008000 -  0x1550fff com.apple.WebCore 522+	/Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore
 0x198f000 -  0x198ffff com.apple.SpotLightCM 1.0 (121.36)	/System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
 0x1a15000 -  0x1a17fff com.apple.AutomatorCMM 1.0 (48)	/System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
 0x73bf000 -  0x73c5fff com.apple.DictionaryServiceComponent 1.0.0	/System/Library/Components/DictionaryService.component/Contents/MacOS/DictionaryService
 0x75a7000 -  0x769cfff com.elgato.mpegsupport EyeTV MPEG Support 1.0.4 (build 35) (1.0.4)	/Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support
 0x7da6000 -  0x7da9fff com.lemkesoft.GraphicConverterCMI 1.1	/Users/gibbonsb/Library/Contextual Menu Items/GraphicConverterCMI.plugin/Contents/MacOS/GraphicConverterCMI
 0x7db1000 -  0x7db5fff com.apple.FolderActionsMenu 1.3	/System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
 0x8b8f000 -  0x8b91fff com.chronosnet.StickyBrainMenu ??? (2.1)	/Users/gibbonsb/Library/Contextual Menu Items/StickyBrainMenu.plugin/Contents/MacOS/StickyBrainMenu
 0xa685000 -  0xa999fff com.macromedia.Flash Player.plugin 9.0.28 (1.0.4f22)	/Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x8fe00000 - 0x8fe52fff dyld 46.12	/usr/lib/dyld
0x90000000 - 0x901bdfff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x90216000 - 0x90263fff com.apple.CoreText 1.0.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9028f000 - 0x90368fff com.apple.CoreFoundation 6.4.7 (368.28)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x903b2000 - 0x90689fff com.apple.CoreServices.CarbonCore 681.9	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x906ef000 - 0x90761fff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x9077c000 - 0x907fcfff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x908dc000 - 0x908dcfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90918000 - 0x9099cfff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x909f8000 - 0x90a80fff com.apple.DesktopServices 1.3.6	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x90ade000 - 0x90d09fff com.apple.Foundation 6.4.8 (567.29)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x90eb7000 - 0x90ed5fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x90ee1000 - 0x90f3bfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x90f5d000 - 0x90f85fff com.apple.SystemConfiguration 1.8.3	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90f9c000 - 0x90fa8fff com.apple.opengl 1.4.7	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x90fae000 - 0x90fcefff com.apple.DirectoryService.Framework 3.1	/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x90fe4000 - 0x90ffcfff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91146000 - 0x91167fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9133c000 - 0x913cdfff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91432000 - 0x9143afff libbsm.dylib 	/usr/lib/libbsm.dylib
0x914f6000 - 0x914f6fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91525000 - 0x91574fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x915bb000 - 0x915c8fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x91612000 - 0x9162bfff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x918fb000 - 0x91920fff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91991000 - 0x919a5fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x91ab7000 - 0x91c72fff com.apple.security 4.6 (29770)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91df3000 - 0x91e35fff com.apple.LaunchServices 182	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x92018000 - 0x92326fff com.apple.HIToolbox 1.4.9 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92501000 - 0x92b34fff com.apple.AppKit 6.4.7 (824.41)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x92f1f000 - 0x92f1ffff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92f21000 - 0x92f35fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92f4d000 - 0x92f5dfff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92f69000 - 0x92f7efff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f90000 - 0x93017fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9302b000 - 0x93036fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x930a2000 - 0x93108fff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x931e5000 - 0x931f2fff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x933d4000 - 0x93504fff com.apple.AddressBook.framework 4.0.4 (485.1)	/System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x936fb000 - 0x9371bfff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x93721000 - 0x93721fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93797000 - 0x937c4fff com.apple.LDAPFramework 1.4.1 (69.0.1)	/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x93a27000 - 0x93a44fff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x93a4d000 - 0x93acefff com.apple.SearchKit 1.0.5	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x93b31000 - 0x93b4dfff com.apple.securityfoundation 2.2 (27710)	/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x93d04000 - 0x93d48fff com.apple.securityinterface 2.2 (27692)	/System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x942a1000 - 0x942a1fff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x943d6000 - 0x9495efff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x949af000 - 0x94cdafff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x94d8f000 - 0x94e24fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x94e4a000 - 0x94eb8fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x94ec9000 - 0x94ed8fff com.apple.DSObjCWrappers.Framework 1.1	/System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x94f14000 - 0x94f24fff libsasl2.2.dylib 	/usr/lib/libsasl2.2.dylib
0x9565a000 - 0x95721fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x95afb000 - 0x95b6dfff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x95c68000 - 0x95c91fff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x96116000 - 0x9611bfff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x96126000 - 0x961f8fff com.apple.ColorSync 4.4.9	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x962c3000 - 0x962fbfff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9636e000 - 0x9636efff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x96559000 - 0x9660afff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x969bf000 - 0x969d5fff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x969d7000 - 0x969f7fff libKoreanConverter.dylib 	/System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x96a1b000 - 0x96a2efff libTraditionalChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x972f2000 - 0x97311fff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x973f3000 - 0x97439fff com.apple.ImageIO.framework 1.5.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x97453000 - 0x97457fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x9745a000 - 0x97511fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x97576000 - 0x97594fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x97727000 - 0x97740fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x97746000 - 0x97749fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x9774c000 - 0x977b4fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x977ba000 - 0x977f7fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x97849000 - 0x97899fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x97a4b000 - 0x97b0ffff com.apple.audio.toolbox.AudioToolbox 1.4.5	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x97b65000 - 0x97d25fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9b7bf000 - 0x9b7f5fff com.apple.Syndication 1.0.6 (54)	/System/Library/PrivateFrameworks/Syndication.framework/Versions/A/Syndication
0x9b815000 - 0x9b827fff com.apple.SyndicationUI 1.0.6 (54)	/System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
0x9ea47000 - 0x9ea55fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9ea87000 - 0x9ea92fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x9ea98000 - 0x9eb09fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x9ec32000 - 0x9ec46fff com.apple.CoreVideo 1.4	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9ef46000 - 0x9f21bfff com.apple.QuickTime 7.1.5	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x9f2df000 - 0x9f2eefff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x9f2f6000 - 0x9f32efff com.apple.vmutils 4.0.0 (85)	/System/Library/PrivateFrameworks/vmutils.framework/Versions/A/vmutils
0x9f343000 - 0x9f372fff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x9f382000 - 0x9f3abfff libxslt.1.dylib 	/usr/lib/libxslt.1.dylib
0x9f3b3000 - 0x9f3c0fff com.apple.agl 2.5.6 (AGL-2.5.6)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9f3d8000 - 0x9f3e7fff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9f3f3000 - 0x9f420fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x9f43a000 - 0x9f477fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x9f47f000 - 0x9f4fafff com.apple.audio.CoreAudio 3.0.4	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9f537000 - 0x9f554fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9f566000 - 0x9f654fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x9f657000 - 0x9f73cfff com.apple.vImage 2.4	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9f744000 - 0x9f759fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x9f75e000 - 0x9f767fff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9f76e000 - 0x9f7affff com.apple.CFNetwork 129.20	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9f7c4000 - 0x9f822fff com.apple.HIServices 1.5.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9f851000 - 0x9f908fff com.apple.QD 3.10.24 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x9f945000 - 0x9fd00fff com.apple.CoreGraphics 1.258.61 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9fd8d000 - 0x9fe8ffff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x9fee9000 - 0x9ffc7fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x9ffe7000 - 0x9fff9fff libauto.dylib 	/usr/lib/libauto.dylib
Comment 1 mitz 2007-04-16 06:58:15 PDT
ASSERTION FAILED: m_loadingResources.contains(identifier)
(/WebKit/WebKit/WebView/WebDocumentLoaderMac.mm:93 decreaseLoadCount)

Comment 2 Brady Eidson 2007-04-16 11:22:05 PDT
<rdar://problem/5137180>
Comment 3 Brady Eidson 2007-04-16 12:06:32 PDT
This seems almost certainly related to
http://bugs.webkit.org/show_bug.cgi?id=13365
Comment 4 David Kilzer (:ddkilzer) 2007-04-29 03:19:39 PDT
*** Bug 13540 has been marked as a duplicate of this bug. ***
Comment 5 mitz 2007-05-03 12:29:01 PDT
*** Bug 13573 has been marked as a duplicate of this bug. ***
Comment 6 Justin Garcia 2007-05-03 17:20:06 PDT
*** Bug 13580 has been marked as a duplicate of this bug. ***
Comment 7 Peter 2007-05-04 05:47:48 PDT
Created attachment 14333 [details]
Crash report
Comment 8 mitz 2007-05-05 13:14:42 PDT
Created attachment 14367 [details]
Avoid calling decreaseLoadCount() twice for multipart subresources

This patch fixes the crash, but does not address other problems with multipart subresources in TOT (at least with Safari 2), namely that the progress bar and status bar remain in "loading" state after the first part is received, while the Activity panel does not report the additional data received. The behavior of shipping WebKit is the opposite: the progress bar and status bar indicate that the page has finished loading, but the size of the resource in the Activity panel keeps increasing.
Comment 9 Peter 2007-05-07 01:39:56 PDT
The mjpg source still does not render smoothly. It's like watching a television with bad reception. Latest nightly does not crash however.
Comment 10 Brady Eidson 2007-05-08 17:34:42 PDT
Mitz,
I think your patch is dead on, but I didn't know it'd been sitting here cause you didn't put it up for review!  :)
Now comes the layout test...  If we don't already have a "multipart resource" in the http tests we might need one.

Peter, 
The webcam view not being smooth is a seperate bug - if you still see it, please file a new bug to track that issue.  That said, I do *not* see any problems with the smoothness/rendering.  Is it possible its related to your network connection and the server is configured to send a lower-quality image down slow/error-hindered network connections? 
Comment 11 Peter 2007-05-09 01:03:24 PDT
I tried the webcam with Safari's latest version from Apple (419.3) and it works fine on my network. Same with Firefox and even IE. Only Webkit doesn't render smoothly and still crashes. Should I file a new bug, or do we consider this one to be still open? Thanks.
Comment 12 David Kilzer (:ddkilzer) 2007-05-09 08:41:13 PDT
(In reply to comment #11)
> I tried the webcam with Safari's latest version from Apple (419.3) and it works
> fine on my network. Same with Firefox and even IE. Only Webkit doesn't render
> smoothly and still crashes. Should I file a new bug, or do we consider this one
> to be still open? Thanks.

Peter, please file a new bug for the "rendering smoothly" issue.  Thanks!

Comment 13 David Kilzer (:ddkilzer) 2007-05-12 02:04:11 PDT
(In reply to comment #12)
> Peter, please file a new bug for the "rendering smoothly" issue.  Thanks!

Bug 13642.

Comment 14 mitz 2007-05-15 14:42:53 PDT
Created attachment 14574 [details]
Avoid calling decreaseLoadCount() twice for multipart subresources

Now with change log and an http test.
Comment 15 Brady Eidson 2007-05-15 14:49:51 PDT
Comment on attachment 14574 [details]
Avoid calling decreaseLoadCount() twice for multipart subresources

r=me.  I know there are still issues with multipart, including some in WebCore that we can actually address, but I think this is still an important and correct fix for this crasher
Comment 16 Brady Eidson 2007-05-15 15:31:41 PDT
Landed in r21497